@import './variables.css';

/* layout */
.wrap {
  max-width: var(--wrap);
  margin: 0 auto;
}

.wrap-s {
  max-width: var(--wrap-s);
  margin: 0 auto;
}

.wrap-l {
  max-width: var(--wrap-l);
  margin: 0 auto;
}

.wrap-xl {
  max-width: var(--wrap-xl);
  margin: 0 auto;
}

.body-text {
  max-width: var(--wrap-s);
}

/* text */
.fs-small,
.fs-small * {
  font-size: var(--font-size-sub-1);
}

.fs-large,
.fs-large * {
  font-size: var(--font-size-1);
}

.fw-base {
  font-weight: var(--fw-base);
}

.fw-medium {
  font-weight: var(--fw-medium);
}

.fw-bold {
  font-weight: var(--fw-bold);
}

.ta-center {
  text-align: center;
}

/* color */
.gray,
a.gray,
.gray * {
  color: var(--gray3);
}

.no-underline a,
a.no-underline {
  text-decoration: none;
}

/* visibility */
.sr-only {
  margin: -1px;
  padding: 0;
  width: 1px;
  height: 1px;
  overflow: hidden;
  clip: rect(0 0 0 0);
  clip: rect(0, 0, 0, 0);
  position: absolute;
}

/* margin */
.m-1 {
  margin-top: 1.5rem;
}

.m-2 {
  margin-top: 3rem;
}

.m-3 {
  margin-top: 4.5rem;
}

.m-4 {
  margin-top: 6rem;
}

.m-5 {
  margin-top: 7.5rem;
}

.m-6 {
  margin-top: 9rem;
}

.m-7 {
  margin-top: 10.5rem;
}

.m-8 {
  margin-top: 12rem;
}

/* twitter embed */
.twitter-tweet {
  margin: 1.5rem auto !important;
}

/* footnotes */
.footnotes {
  margin-top: 2rem;
  font-size: var(--font-size-sub-1);
  max-width: var(--wrap-s);
  margin-left: auto;
  margin-right: auto;
}

.footnotes:before {
  content: 'References';
  font-size: var(--font-size-0);
  font-weight: var(--fw-bold);
  color: var(--gray2);
}

.footnotes hr {
  border: 0;
}

.footnotes p {
  display: inline-block;
  font-size: var(--font-size-sub-1);
}

.footnotes li a:last-of-type {
  margin-left: 0.5rem;
  text-decoration: none;
}

.footnote-ref {
  text-decoration: none;
  font-weight: var(--fw-bold);
}

/* microlinks */
.microlink_card {
  background: white;
  min-width: 100%;
  border-bottom-left-radius: calc(var(--border-radius) * 2);
  border-bottom-right-radius: calc(var(--border-radius) * 2);
  font-family: var(--font-family) !important;
  border: none !important;
}

.microlink_card:hover {
  color: inherit;
}

.microlink_card:hover .microlink_card__content {
  background: var(--gray6);
}

.microlink_card__content_title {
  color: var(--gray1);
}

.microlink_card__content_title p {
  font-size: var(--font-size-0);
  font-weight: var(--fw-medium) !important;
}

.microlink_card__content_description {
  color: var(--gray2);
}

.microlink_card__content_description p {
  line-height: 1.45;
  font-size: var(--font-size-sub-1);
}

.microlink_card__content_url {
  color: var(--color-link);
  font-weight: var(--fw-medium);
}

.microlink_card__content_url p {
  font-size: var(--font-size-sub-1);
}
